com.pixelmed.dicom

## Class DicomDirectoryBrowser

- java.lang.Object
- - com.pixelmed.dicom.DicomDirectoryBrowser

    public class DicomDirectoryBrowser
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`DicomDirectoryBrowser(AttributeList list, java.lang.String parentFilePath)`
`DicomDirectoryBrowser(AttributeList list, java.lang.String parentFilePath, javax.swing.JFrame frame)`
`DicomDirectoryBrowser(AttributeList list, java.lang.String parentFilePath, javax.swing.JScrollPane treeBrowserScrollPane, javax.swing.JScrollPane attributeBrowserScrollPane)`

### Method Summary

Methods
`protected java.awt.event.MouseListener` `buildMouseListenerToDetectDoubleClickEvents()`
`protected javax.swing.event.TreeSelectionListener` `buildTreeSelectionListenerToDisplayAttributesOfSelectedRecord(javax.swing.JScrollPane attributeBrowserScrollPane)`
`protected javax.swing.event.TreeSelectionListener` `buildTreeSelectionListenerToDoSomethingWithSelectedFiles(java.lang.String parentFilePath)`
`protected java.util.HashSet` `chooseExcludeList(DicomDirectoryRecord dirRecord)`
`protected void` `createExcludeLists()`
`protected void` `doSomethingMoreWithWhateverWasSelected()`
`protected void` `doSomethingWithSelectedFiles(java.util.Vector paths)`
`DicomDirectory` `getDicomDirectory()`
`java.lang.String` `getParentFilePath()`
`static void` `main(java.lang.String[] arg)`
`protected void` `setFont(java.awt.Font font)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DicomDirectoryBrowser

    public DicomDirectoryBrowser(AttributeList list,
                         java.lang.String parentFilePath)
                          throws DicomException

Parameters:
  `list` -
  `parentFilePath` -
Throws:
  `DicomException`

#### DicomDirectoryBrowser

    public DicomDirectoryBrowser(AttributeList list,
                         java.lang.String parentFilePath,
                         javax.swing.JScrollPane treeBrowserScrollPane,
                         javax.swing.JScrollPane attributeBrowserScrollPane)
                          throws DicomException

Parameters:
  `list` -
  `parentFilePath` -
  `treeBrowserScrollPane` -
  `attributeBrowserScrollPane` -
Throws:
  `DicomException`

#### DicomDirectoryBrowser

    public DicomDirectoryBrowser(AttributeList list,
                         java.lang.String parentFilePath,
                         javax.swing.JFrame frame)
                          throws DicomException

Parameters:
  `list` -
  `parentFilePath` -
  `frame` -
Throws:
  `DicomException`

### Method Detail

#### setFont

    protected void setFont(java.awt.Font font)

Parameters:
  `font` -

#### buildTreeSelectionListenerToDoSomethingWithSelectedFiles

    protected javax.swing.event.TreeSelectionListener buildTreeSelectionListenerToDoSomethingWithSelectedFiles(java.lang.String parentFilePath)

Parameters:
  `parentFilePath` -

#### buildTreeSelectionListenerToDisplayAttributesOfSelectedRecord

    protected javax.swing.event.TreeSelectionListener buildTreeSelectionListenerToDisplayAttributesOfSelectedRecord(javax.swing.JScrollPane attributeBrowserScrollPane)

Parameters:
  `attributeBrowserScrollPane` -

#### buildMouseListenerToDetectDoubleClickEvents

    protected java.awt.event.MouseListener buildMouseListenerToDetectDoubleClickEvents()

#### chooseExcludeList

    protected java.util.HashSet chooseExcludeList(DicomDirectoryRecord dirRecord)

Parameters:
  `dirRecord` -

#### createExcludeLists

    protected void createExcludeLists()

#### getDicomDirectory

    public DicomDirectory getDicomDirectory()

#### getParentFilePath

    public java.lang.String getParentFilePath()

#### doSomethingWithSelectedFiles

    protected void doSomethingWithSelectedFiles(java.util.Vector paths)

Parameters:
  `paths` -

#### doSomethingMoreWithWhateverWasSelected

    protected void doSomethingMoreWithWhateverWasSelected()

#### main

    public static void main(java.lang.String[] arg)

Parameters:
  `arg` -